List sessions
curl --request GET \
--url https://api.usefoil.com/v1/sessionsimport requests
url = "https://api.usefoil.com/v1/sessions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.usefoil.com/v1/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usefoil.com/v1/sessions"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.usefoil.com/v1/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usefoil.com/v1/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"object": "session",
"id": "sid_87wfetm98myh9awj0dpt28a3kc",
"created_at": "2026-03-24T20:00:00.000Z",
"client_user_id": "user_123",
"latest_decision": {
"event_id": "evt_srwqc0yqhz4bxvtrdtf69q7vkr",
"verdict": "human",
"risk_score": 94,
"phase": "snapshot",
"is_provisional": false,
"manipulation": {
"score": 1,
"verdict": "none"
},
"evaluation_duration_ms": 123,
"evaluated_at": "2026-03-24T20:00:05.000Z"
},
"visitor_fingerprint": {
"object": "visitor_fingerprint",
"id": "vid_7cyvmdfjs3rzznf8m65v3bv51m",
"confidence": 1,
"identified_at": "2026-03-24T20:00:05.000Z"
}
}
],
"pagination": {
"limit": 50,
"has_more": false,
"next_cursor": "eyJ2IjoxLCJzY29yZWRBdCI6IjIwMjYtMDQtMTBUMDY6NDI6NDIuNTE0WiIsInJvd0lkIjoiMTc3In0"
},
"meta": {
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1"
}
}{
"error": {
"code": "request.validation_failed",
"message": "Observation payload failed validation.",
"status": 1,
"retryable": true,
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1",
"docs_url": "https://app.acme.co/signup",
"details": {
"fields": [
{
"name": "Acme Growth Workspace",
"issue": "required",
"expected": "string",
"received": "any_of"
}
],
"allowed_values": [
"verified"
],
"header_name": "x-forwarded-for",
"parameter_set": "browser_fingerprint",
"next_action": "retry"
}
}
}{
"error": {
"code": "request.validation_failed",
"message": "Observation payload failed validation.",
"status": 1,
"retryable": true,
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1",
"docs_url": "https://app.acme.co/signup",
"details": {
"fields": [
{
"name": "Acme Growth Workspace",
"issue": "required",
"expected": "string",
"received": "any_of"
}
],
"allowed_values": [
"verified"
],
"header_name": "x-forwarded-for",
"parameter_set": "browser_fingerprint",
"next_action": "retry"
}
}
}{
"error": {
"code": "request.validation_failed",
"message": "Observation payload failed validation.",
"status": 1,
"retryable": true,
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1",
"docs_url": "https://app.acme.co/signup",
"details": {
"fields": [
{
"name": "Acme Growth Workspace",
"issue": "required",
"expected": "string",
"received": "any_of"
}
],
"allowed_values": [
"verified"
],
"header_name": "x-forwarded-for",
"parameter_set": "browser_fingerprint",
"next_action": "retry"
}
}
}Sessions
List sessions
Requires the sessions:list secret-key scope.
GET
/
v1
/
sessions
List sessions
Query Parameters
Required range:
1 <= x <= 200Example:
50
Example:
"eyJ2IjoxLCJzY29yZWRBdCI6IjIwMjYtMDQtMTBUMDY6NDI6NDIuNTE0WiIsInJvd0lkIjoiMTc3In0"
Available options:
bot, human, inconclusive Example:
"human"
Example:
"arm"
Response
Session list response.
Show child attributes
Show child attributes
Example:
[
{
"object": "session",
"id": "sid_87wfetm98myh9awj0dpt28a3kc",
"created_at": "2026-03-24T20:00:00.000Z",
"client_user_id": "user_123",
"latest_decision": {
"event_id": "evt_srwqc0yqhz4bxvtrdtf69q7vkr",
"verdict": "human",
"risk_score": 94,
"phase": "snapshot",
"is_provisional": false,
"manipulation": { "score": 1, "verdict": "none" },
"evaluation_duration_ms": 123,
"evaluated_at": "2026-03-24T20:00:05.000Z"
},
"visitor_fingerprint": {
"object": "visitor_fingerprint",
"id": "vid_7cyvmdfjs3rzznf8m65v3bv51m",
"confidence": 1,
"identified_at": "2026-03-24T20:00:05.000Z"
}
}
]
Show child attributes
Show child attributes
Example:
{
"limit": 50,
"has_more": false,
"next_cursor": "eyJ2IjoxLCJzY29yZWRBdCI6IjIwMjYtMDQtMTBUMDY6NDI6NDIuNTE0WiIsInJvd0lkIjoiMTc3In0"
}
Show child attributes
Show child attributes
Example:
{
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1"
}
⌘I